Subject: Re: [secdir] [FORGED] draft-gutmann-scep-13: Bootstrapping SCEP from the web

From: Peter Gutmann <[email-masked]>
Date: Mon, 29 Apr 2019 06:24:26 +0000

Graham Leggett <[email-masked]> writes:

>One of the missing elements from the SCEP protocol (and it appears from the
>EST protocol as well) is the ability to bootstrap the certificate generation
>process from a web browser.

The reason why it's not present in SCEP, CMC, CMP, EST, or anything else is
that no-one's ever requested that as a capability.  If anyone wanted it, it
could be added as a new RFC.  I think the best option would be to specify a
general-purpose capability where the browser could indicate what protocol(s)
it supports or prefers (SCEP, CMP, whatever) and the web site then tells it to
initiate that protocol to request a cert.

Peter.